import request from '@/utils/request'
// 改造方案列表

export function list(query) {
  return request({
    url: '/renovationPlan/list',
    method: 'get',
    params: query,
    baseURL: "/water-api"
  })
}
// 站点列表
export function devices(query) {
  return request({
    url: '/renovationPlan/devices',
    method: 'get',
    params: query,
    baseURL: "/plan-api"
  })
}
// 查询施工信息和审核信息
export function build(query) {
  return request({
    url: '/renovationPlan/build',
    method: 'get',
    params: query,
    baseURL: "/plan-api"
  })
}
// 查询改造详情
export function details(query) {
  return request({
    url: '/renovationPlan/details',
    method: 'get',
    params: query,
    baseURL: "/plan-api"
  })
}
// 审核驳回
export function reject(data) {
  return request({
    url: '/renovationPlan/review/reject',
    method: 'post',
    data,
    baseURL: "/plan-api"
  })
}
// 审核通过
export function complete(data) {
  return request({
    url: '/renovationPlan/review/complete',
    method: 'post',
    data,
    baseURL: "/plan-api"
  })
}

// 导出
export function excel(planId) {
  return request({
    url: '/renovationPlan/export/excel?planId='+planId,
    method: 'post',
    // data,
    baseURL: "/plan-api"
  })
}


